Bug 508104 - rhn_register fails when there are eus channels available for subscription.
rhn_register fails when there are eus channels available for subscription.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Registration (Show other bugs)
530
All Linux
high Severity medium
: ---
: ---
Assigned To: Pradeep Kilambi
Preethi Thomas
:
Depends On:
Blocks: 456985
  Show dependency treegraph
 
Reported: 2009-06-25 12:19 EDT by Preethi Thomas
Modified: 2009-09-10 16:38 EDT (History)
3 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 16:38:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rhn_register traceback (7.26 KB, text/plain)
2009-06-25 12:30 EDT, Preethi Thomas
no flags Details

  None (edit)
Description Preethi Thomas 2009-06-25 12:19:14 EDT
Description of problem:

rhn_register fails when there are eus channels available for subscription.
Version-Release number of selected component (if applicable):
Satellite-5.3.0-RHEL5-re20090623.0-i386-embedded-oracle.iso

How reproducible:


Steps to Reproduce:
1. activate the satellite with an eus enabled cert
2. satellite-sync eus channels
3. kickstart a client to rhel5u3
4. change the serverUrl in /etc/sysconfig/rhn/up2date to the satellite server
5. run rhn_register from the command prompt of the client.
6. continue through the registration screens
7. enter login information and click continue

Actual results:
An error has occurred:
While running 'registration.available_eus_channels': caught
exceptions.KeyError : 'receiving_updates'

See /var/log/up2date for more information



Expected results:


Additional info:

[Thu Jun 25 15:25:48 2009] rhn_register Error communicating with server. The message was:
While running 'registration.available_eus_channels': caught
exceptions.KeyError : 'receiving_updates'

[Thu Jun 25 15:25:48 2009] rhn_register 
Traceback (most recent call last):
  File "/usr/sbin/rhn_register", line 82, in ?
    app.run()
  File "/usr/share/rhn/up2date_client/rhncli.py", line 65, in run
    sys.exit(self.main() or 0)
  File "/usr/sbin/rhn_register", line 64, in main
    ui.main()
  File "/usr/share/rhn/up2date_client/tui.py", line 1714, in main
    tui.run()
  File "/usr/share/rhn/up2date_client/tui.py", line 1586, in run
    win = self.windows[index](self.screen, self)
  File "/usr/share/rhn/up2date_client/tui.py", line 735, in __init__
    self.available_channels = rhnreg.getAvailableChannels(
  File "/usr/share/rhn/up2date_client/rhnreg.py", line 475, in getAvailableChannels
    server_release)
  File "/usr/share/rhn/up2date_client/rpcServer.py", line 194, in doCall
    ret = method(*args, **kwargs)
  File "/usr/share/rhn/up2date_client/rhnserver.py", line 52, in __call__
    raise self.__exception_from_fault(f)
up2date_client.up2dateErrors.CommunicationError: Error communicating with server. The message was:
While running 'registration.available_eus_channels': caught
exceptions.KeyError : 'receiving_updates'
Comment 1 Preethi Thomas 2009-06-25 12:30:30 EDT
Created attachment 349421 [details]
rhn_register traceback

rhn_register traceback with eus channels.
Comment 4 Preethi Thomas 2009-07-07 08:52:37 EDT
verified
Satellite-5.3.0-RHEL5-re20090702.0-i386-embedded-oracle.iso
registration completed for clients when the satellite is eus enabled.
Comment 5 Jeff Browning 2009-08-14 14:01:57 EDT
Tested on test1182.test.redhat.com
Comment 6 Brandon Perkins 2009-09-10 16:38:17 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.